Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List audit log

GET/workspaces/{organizationId}/audit-log
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
entityTypestring
entityIdstring
actionstring
actorIdstring
limitstring
Responses
200

Workspace audit log, newest first

entriesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
actorIdstring | nullrequired
actorTypestring | nullrequired
actionstringrequired
entityTypestringrequired
entityIdstringrequired
changesobject | nullrequired
ipstring | nullrequired
countrystring | nullrequired
userAgentstring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/audit-log' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "entries": [
    {
      "id": "string",
      "organizationId": "string",
      "actorId": "string",
      "actorType": "string",
      "action": "string",
      "entityType": "string",
      "entityId": "string",
      "changes": {
        "property1": null,
        "property2": null
      },
      "ip": "string",
      "country": "string",
      "userAgent": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?